SDL_SetWindowFullscreen(3)

NAME
SDL_SetWindowFullscreen - Request that the window's fullscreen state be changed.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowFullscreen(SDL_Window *window, bool fullscreen);

DESCRIPTION
By default a window in fullscreen state uses borderless fullscreen desktop mode, but a specific exclusive display mode can be set using SDL_SetWindowFullscreenMode().

On some windowing systems this request is asynchronous and the new fullscreen state may not have have been applied immediately upon the return of this function. If an immediate change is required, call SDL_SyncWindow() to block until the changes have taken effect.

When the window state changes, an SDL_EVENT_WINDOW_ENTER_FULLSCREEN or SDL_EVENT_WINDOW_LEAVE_FULLSCREEN event will be emitted. Note that, as this is just a request, it can be denied by the windowing system.

FUNCTION PARAMETERS

window
    the window to change.

fullscreen
    true for fullscreen mode, false for windowed mode.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowFullscreenMode(3), SDL_SetWindowFullscreenMode(3), SDL_SyncWindow(3), SDL_WINDOW_FULLSCREEN(3)